com.tibco.ftl

## Interface Monitoring

-     public interface Monitoring

  This interface class defines constants related to monitoring data messages, their field names, and their field values.

  Monitoring data messages carry monitoring metrics data about FTL programs. Programs can receive the stream of monitoring data messages by subscribing to the monitoring endpoint.

  For more information, see the book TIBCO FTL Monitoring.

  Customers do not implement this interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Monitoring.ClientStatus` Client status values.
    `static interface` | `Monitoring.ContextType` Context type values * @see #FIELD_METRIC_CONTEXT_TYPE
    `static interface` | `Monitoring.EventType` Event types.
    `static interface` | `Monitoring.MessageType` Monitoring message types.
    `static interface` | `Monitoring.MetricSemantics` Metric semantics values.
    `static interface` | `Monitoring.MetricType` Metric type values.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ENDPOINT_NAME` Name of the special endpoint that carries FTL monitoring messages; string.
    `static java.lang.String` | `FIELD_ADVISORY_LABEL` Advisory message (message value).
    `static java.lang.String` | `FIELD_APPINFO_APPINSTANCE` Application instance (string value).
    `static java.lang.String` | `FIELD_APPINFO_APPLICATION` Application name (string value).
    `static java.lang.String` | `FIELD_APPINFO_CLIENT_ID` Client ID (string value).
    `static java.lang.String` | `FIELD_APPINFO_SERVER_ID` Server ID (string value).
    `static java.lang.String` | `FIELD_CLIENT_LABEL` Client label (string value).
    `static java.lang.String` | `FIELD_CLIENT_STATUS` Client status (long value).
    `static java.lang.String` | `FIELD_EVENT_TYPE` Event type (long value).
    `static java.lang.String` | `FIELD_HOSTINFO_EFFECTIVE_USER` Host effective user name (string value).
    `static java.lang.String` | `FIELD_HOSTINFO_FTL_USER` FTL user name (string value).
    `static java.lang.String` | `FIELD_HOSTINFO_HOST` Hostname on which client is running (string value).
    `static java.lang.String` | `FIELD_HOSTINFO_IP` IP address of client (string value).
    `static java.lang.String` | `FIELD_HOSTINFO_PID` Process ID (long value).
    `static java.lang.String` | `FIELD_HOSTINFO_VERSION` FTL version client is running (string value).
    `static java.lang.String` | `FIELD_METRIC_CONNECTION_MON_ID` Metric unique connection id (long value).
    `static java.lang.String` | `FIELD_METRIC_CONTEXT` Context for this metric (string value).
    `static java.lang.String` | `FIELD_METRIC_CONTEXT_TYPE` Object type tagging for this context (string value).
    `static java.lang.String` | `FIELD_METRIC_END_TIME` Metric end time (long value).
    `static java.lang.String` | `FIELD_METRIC_ENDPOINT_MON_ID` Metric unique endpoint monitor id (long value).
    `static java.lang.String` | `FIELD_METRIC_ENDPOINT_NAME` Metric endpoint name (string value).
    `static java.lang.String` | `FIELD_METRIC_ID` Unique metric ID (long value).
    `static java.lang.String` | `FIELD_METRIC_INTERFACE` Metric interface (string value).
    `static java.lang.String` | `FIELD_METRIC_LOCAL_IP` Metric local ip (string value).
    `static java.lang.String` | `FIELD_METRIC_LOCAL_PORT` Metric local port (string value).
    `static java.lang.String` | `FIELD_METRIC_LOCAL_TRANSPORT` Metric local transport (string value).
    `static java.lang.String` | `FIELD_METRIC_LONG_VALUE` Metric value (long value).
    `static java.lang.String` | `FIELD_METRIC_MATCHER_STRING` Metric matcher string (string value).
    `static java.lang.String` | `FIELD_METRIC_MCAST_GROUP` Metric mcast group (string value).
    `static java.lang.String` | `FIELD_METRIC_MCAST_RECEIVER_ID` Metric unique mcast receiver id (long value).
    `static java.lang.String` | `FIELD_METRIC_MCAST_SENDER_ID` Metric unique mcast sender id (long value).
    `static java.lang.String` | `FIELD_METRIC_NAME` Metric name (string value).
    `static java.lang.String` | `FIELD_METRIC_PUBLISHER_LABEL` Metric publisher label (string value).
    `static java.lang.String` | `FIELD_METRIC_REMOTE_CLIENT_ID` Metric remote client id (string value).
    `static java.lang.String` | `FIELD_METRIC_REMOTE_IP` Metric remote ip (string value).
    `static java.lang.String` | `FIELD_METRIC_REMOTE_PORT` Metric remote port (string value).
    `static java.lang.String` | `FIELD_METRIC_REMOTE_TRANSPORT` Metric remote transport (string value).
    `static java.lang.String` | `FIELD_METRIC_SEMANTICS` Metric semantics (long value).
    `static java.lang.String` | `FIELD_METRIC_START_TIME` Metric start time (long value).
    `static java.lang.String` | `FIELD_METRIC_STRING_VALUE` Metric value (string value).
    `static java.lang.String` | `FIELD_METRIC_SUBSCRIBER_LABEL` Metric subscriber label (string value).
    `static java.lang.String` | `FIELD_METRIC_TYPE` Metric type (long value).
    `static java.lang.String` | `FIELD_METRIC_VALUE` Metric value (long value).
    `static java.lang.String` | `FIELD_METRICS` Metrics message array (array of messages).
    `static java.lang.String` | `FIELD_MSG_TYPE` Monitoring message type (long value).
    `static java.lang.String` | `FIELD_REALM_SERVER_LABEL` Realm service label (string value).
    `static java.lang.String` | `FIELD_REALM_UUID` Realm UUID (string value).
    `static java.lang.String` | `FIELD_REPORTING_SERVER_ID` Reporting server ID (string value).
    `static java.lang.String` | `FIELD_SERVER_UPTIME` Server uptime in seconds (long value).
    `static java.lang.String` | `FIELD_TIMESTAMP` Time at which the metric was generated (long value), expressed in milliseconds since the epoch.

- - ### Field Detail

    - #### ENDPOINT_NAME

          static final java.lang.String ENDPOINT_NAME

      Name of the special endpoint that carries FTL monitoring messages; string.

      To receive FTL monitoring messages, create a subscriber on this endpoint.

      Subscribers on this endpoint receive the stream of monitoring data messages from the FTL server.

      It is illegal to create a publisher on this endpoint.

      See Also:
        Constant Field Values

    - #### FIELD_MSG_TYPE

          static final java.lang.String FIELD_MSG_TYPE

      Monitoring message type (long value).
      See Also:
        `Monitoring.MessageType`, Constant Field Values

    - #### FIELD_REALM_UUID

          static final java.lang.String FIELD_REALM_UUID

      Realm UUID (string value).
      See Also:
        Constant Field Values

    - #### FIELD_CLIENT_LABEL

          static final java.lang.String FIELD_CLIENT_LABEL

      Client label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_CLIENT_STATUS

          static final java.lang.String FIELD_CLIENT_STATUS

      Client status (long value).
      See Also:
        `Monitoring.ClientStatus`, Constant Field Values

    - #### FIELD_METRICS

          static final java.lang.String FIELD_METRICS

      Metrics message array (array of messages). Each message contains a single metric. For the fields contained within each message, see TIB_MONITORING_METRIC_CONTEXT, TIB_MONITORING_METRIC_ID, TIB_MONITORING_METRIC_TYPE, and TIB_MONITORING_METRIC_VALUE
      See Also:
        Constant Field Values

    - #### FIELD_TIMESTAMP

          static final java.lang.String FIELD_TIMESTAMP

      Time at which the metric was generated (long value), expressed in milliseconds since the epoch.
      See Also:
        Constant Field Values

    - #### FIELD_APPINFO_APPLICATION

          static final java.lang.String FIELD_APPINFO_APPLICATION

      Application name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_APPINFO_APPINSTANCE

          static final java.lang.String FIELD_APPINFO_APPINSTANCE

      Application instance (string value).
      See Also:
        Constant Field Values

    - #### FIELD_APPINFO_CLIENT_ID

          static final java.lang.String FIELD_APPINFO_CLIENT_ID

      Client ID (string value).
      See Also:
        Constant Field Values

    - #### FIELD_APPINFO_SERVER_ID

          static final java.lang.String FIELD_APPINFO_SERVER_ID

      Server ID (string value).
      See Also:
        Constant Field Values

    - #### FIELD_HOSTINFO_PID

          static final java.lang.String FIELD_HOSTINFO_PID

      Process ID (long value).
      See Also:
        Constant Field Values

    - #### FIELD_HOSTINFO_FTL_USER

          static final java.lang.String FIELD_HOSTINFO_FTL_USER

      FTL user name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_HOSTINFO_EFFECTIVE_USER

          static final java.lang.String FIELD_HOSTINFO_EFFECTIVE_USER

      Host effective user name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_HOSTINFO_VERSION

          static final java.lang.String FIELD_HOSTINFO_VERSION

      FTL version client is running (string value).
      See Also:
        Constant Field Values

    - #### FIELD_HOSTINFO_HOST

          static final java.lang.String FIELD_HOSTINFO_HOST

      Hostname on which client is running (string value).
      See Also:
        Constant Field Values

    - #### FIELD_HOSTINFO_IP

          static final java.lang.String FIELD_HOSTINFO_IP

      IP address of client (string value).
      See Also:
        Constant Field Values

    - #### FIELD_SERVER_UPTIME

          static final java.lang.String FIELD_SERVER_UPTIME

      Server uptime in seconds (long value).
      See Also:
        Constant Field Values

    - #### FIELD_REALM_SERVER_LABEL

          static final java.lang.String FIELD_REALM_SERVER_LABEL

      Realm service label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_ADVISORY_LABEL

          static final java.lang.String FIELD_ADVISORY_LABEL

      Advisory message (message value).
      See Also:
        Constant Field Values

    - #### FIELD_REPORTING_SERVER_ID

          static final java.lang.String FIELD_REPORTING_SERVER_ID

      Reporting server ID (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_CONTEXT

          static final java.lang.String FIELD_METRIC_CONTEXT

      Context for this metric (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_CONTEXT_TYPE

          static final java.lang.String FIELD_METRIC_CONTEXT_TYPE

      Object type tagging for this context (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_ID

          static final java.lang.String FIELD_METRIC_ID

      Unique metric ID (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_TYPE

          static final java.lang.String FIELD_METRIC_TYPE

      Metric type (long value).
      See Also:
        `Monitoring.MetricType`, Constant Field Values

    - #### FIELD_METRIC_VALUE

          static final java.lang.String FIELD_METRIC_VALUE

      Metric value (long value). Deprecated.
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_LONG_VALUE

          static final java.lang.String FIELD_METRIC_LONG_VALUE

      Metric value (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_STRING_VALUE

          static final java.lang.String FIELD_METRIC_STRING_VALUE

      Metric value (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_NAME

          static final java.lang.String FIELD_METRIC_NAME

      Metric name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_SEMANTICS

          static final java.lang.String FIELD_METRIC_SEMANTICS

      Metric semantics (long value).
      See Also:
        `Monitoring.MetricSemantics`, Constant Field Values

    - #### FIELD_METRIC_START_TIME

          static final java.lang.String FIELD_METRIC_START_TIME

      Metric start time (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_END_TIME

          static final java.lang.String FIELD_METRIC_END_TIME

      Metric end time (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_LOCAL_TRANSPORT

          static final java.lang.String FIELD_METRIC_LOCAL_TRANSPORT

      Metric local transport (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_REMOTE_TRANSPORT

          static final java.lang.String FIELD_METRIC_REMOTE_TRANSPORT

      Metric remote transport (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_REMOTE_CLIENT_ID

          static final java.lang.String FIELD_METRIC_REMOTE_CLIENT_ID

      Metric remote client id (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_CONNECTION_MON_ID

          static final java.lang.String FIELD_METRIC_CONNECTION_MON_ID

      Metric unique connection id (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_ENDPOINT_NAME

          static final java.lang.String FIELD_METRIC_ENDPOINT_NAME

      Metric endpoint name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_ENDPOINT_MON_ID

          static final java.lang.String FIELD_METRIC_ENDPOINT_MON_ID

      Metric unique endpoint monitor id (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_SUBSCRIBER_LABEL

          static final java.lang.String FIELD_METRIC_SUBSCRIBER_LABEL

      Metric subscriber label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_PUBLISHER_LABEL

          static final java.lang.String FIELD_METRIC_PUBLISHER_LABEL

      Metric publisher label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_MATCHER_STRING

          static final java.lang.String FIELD_METRIC_MATCHER_STRING

      Metric matcher string (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_MCAST_SENDER_ID

          static final java.lang.String FIELD_METRIC_MCAST_SENDER_ID

      Metric unique mcast sender id (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_MCAST_RECEIVER_ID

          static final java.lang.String FIELD_METRIC_MCAST_RECEIVER_ID

      Metric unique mcast receiver id (long value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_MCAST_GROUP

          static final java.lang.String FIELD_METRIC_MCAST_GROUP

      Metric mcast group (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_INTERFACE

          static final java.lang.String FIELD_METRIC_INTERFACE

      Metric interface (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_REMOTE_IP

          static final java.lang.String FIELD_METRIC_REMOTE_IP

      Metric remote ip (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_REMOTE_PORT

          static final java.lang.String FIELD_METRIC_REMOTE_PORT

      Metric remote port (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_LOCAL_PORT

          static final java.lang.String FIELD_METRIC_LOCAL_PORT

      Metric local port (string value).
      See Also:
        Constant Field Values

    - #### FIELD_METRIC_LOCAL_IP

          static final java.lang.String FIELD_METRIC_LOCAL_IP

      Metric local ip (string value).
      See Also:
        Constant Field Values

    - #### FIELD_EVENT_TYPE

          static final java.lang.String FIELD_EVENT_TYPE

      Event type (long value).
      See Also:
        Constant Field Values